net.sf.okapi.lib.xliff2.core

## Class StartFileData

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.InheritedData
  - - net.sf.okapi.lib.xliff2.core.StartFileData

- All Implemented Interfaces:
    IWithExtAttributes, IWithInheritedData

      public class StartFileData
      extends InheritedData

  Represents the information associated with a file element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartFileData(java.lang.String id)` Creates a `StartFileData` object with an optional id.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtAttributes` | `getExtAttributes()` Gets the `ExtAttributes` object for the parent object.
    `java.lang.String` | `getExtAttributeValue(java.lang.String namespaceURI, java.lang.String localName)` Gets the value for a given extension attribute.
    `java.lang.String` | `getId()` Gets the id for this object.
    `java.lang.String` | `getOriginal()` Gets the original attribute of this file.
    `boolean` | `hasExtAttribute()` Indicates if at least one extension attribute is present.
    `void` | `setExtAttributes(ExtAttributes attributes)` Sets the `ExtAttributes` object associated with this object.
    `void` | `setId(java.lang.String id)` Sets the id for this object.
    `void` | `setOriginal(java.lang.String original)` Sets the original attribute of this file.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.core.InheritedData

      `getAnnotatorsRef, getCanResegment, getSourceDir, getTargetDir, getTranslate, setAnnotatorsRef, setCanResegment, setInheritableData, setSourceDir, setTargetDir, setTranslate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartFileData

          public StartFileData(java.lang.String id)

      Creates a `StartFileData` object with an optional id.
      Parameters:
        `id` - the id of the file element (should not be null, but we don't throw an exception to allow setting it after creation).

  - ### Method Detail

    - #### getOriginal

          public java.lang.String getOriginal()

      Gets the original attribute of this file.
      Returns:
        the original attribute of this file.

    - #### setOriginal

          public void setOriginal(java.lang.String original)

      Sets the original attribute of this file.
      Parameters:
        `original` - the new original attribute for this file.

    - #### setId

          public void setId(java.lang.String id)

      Sets the id for this object.
      Parameters:
        `id` - the id for this object.

    - #### getId

          public java.lang.String getId()

      Gets the id for this object.
      Returns:
        the id for this object.

    - #### setExtAttributes

          public void setExtAttributes(ExtAttributes attributes)

      Description copied from interface: `IWithExtAttributes`
      Sets the `ExtAttributes` object associated with this object.
      Specified by:
        `setExtAttributes` in interface `IWithExtAttributes`
      Parameters:
        `attributes` - the `ExtAttributes` object associated with this object. If null, a new `ExtAttributes` object is created.

    - #### getExtAttributes

          public ExtAttributes getExtAttributes()

      Description copied from interface: `IWithExtAttributes`
      Gets the `ExtAttributes` object for the parent object. If none exists, one is created.
      Specified by:
        `getExtAttributes` in interface `IWithExtAttributes`
      Returns:
        the `ExtAttributes` object for the parent object, never null.

    - #### hasExtAttribute

          public boolean hasExtAttribute()

      Description copied from interface: `IWithExtAttributes`
      Indicates if at least one extension attribute is present.
      Specified by:
        `hasExtAttribute` in interface `IWithExtAttributes`
      Returns:
        true if at least one extension attribute is present; false otherwise.

    - #### getExtAttributeValue

          public java.lang.String getExtAttributeValue(java.lang.String namespaceURI,
                                              java.lang.String localName)

      Description copied from interface: `IWithExtAttributes`
      Gets the value for a given extension attribute.
      Specified by:
        `getExtAttributeValue` in interface `IWithExtAttributes`
      Parameters:
        `namespaceURI` - the URI of the namespace for the attribute.
        `localName` - the name of the attribute.
      Returns:
        the value of the extension attribute, or null if it does not exist.